commit 3161e4c2da91652c9a28e79cbf74dfee2201095f
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Nov 28 00:25:21 2024 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 2073d1c3902..7c44885e94f 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20241127
+20241128
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index ef30be5f020..c1731fc8bb0 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,14 @@
+2024-11-27  Paul Thomas  <pault@gcc.gnu.org>
+
+	Backported from master:
+	2024-11-26  Paul Thomas  <pault@gcc.gnu.org>
+
+	PR fortran/117763
+	* trans-array.cc (gfc_get_array_span): Guard against derefences
+	of 'expr'. Clean up some typos. Use 'gfc_get_vptr_from_expr'
+	for clarity and apply a functional reversion of last section
+	that deals with class dummies.
+
 2024-11-24  Paul Thomas  <pault@gcc.gnu.org>
 
 	PR fortran/84869
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 8bfebc64fc2..d988b1959ac 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2024-11-27  Paul Thomas  <pault@gcc.gnu.org>
+
+	Backported from master:
+	2024-11-26  Paul Thomas  <pault@gcc.gnu.org>
+
+	PR fortran/117763
+	* gfortran.dg/pr117763.f90: New test.
+
 2024-11-26  Gaius Mulley  <gaiusmod2@gmail.com>
 
 	Backported from master:

